<template>
	<view class="login">
		<statusBar :item='navBarData'></statusBar>

		<view class="img">
			<image src="http://43.139.158.220:5007/img/static/yym/image7.png" mode="aspectFill"></image>
		</view>

		<view class="mid">

			<!-- <radio value="r1" @click="radioCheck" size="10" :checked="isOK" /> -->
			<view class="" style="position: relative;padding-left:30rpx;">
				我已阅读并同意<text>《教育小程序服务条款》</text>和 <text>《 隐私协议》</text>新用户自动注册
				<view class="quan" @click="isDui">
					<image v-if="isShow" class="dui" src="http://43.139.158.220:5007/img/static/yym/dui.png"
						mode="aspectFill"></image>
				</view>
			</view>
		</view>
<!-- 
		<button class="btn" open-type="chooseAvatar" @chooseavatar="onChooseAvatar">
			<image class="avatar" :src="avatarUrl"></image>
		</button> -->
		<button class="btn" @click="gotoIndex">一键登录</button>
		<!-- <button class="btn" open-type="getPhoneNumber" @getphonenumber="getPhoneNumber">一键登录</button> -->
		<view class="footer" @click="goto">
			<text>手机号登录/账号密码登录</text>
		</view>
		<!-- <button @click="kk">111</button> -->
	</view>
</template>

<script>
	export default {
		data() {
			return {
				avatarUrl: 'https://mmbiz.qpic.cn/mmbiz/icTdbqWNOwNRna42FI242Lcia07jQodd2FJGIYQfG0LAJGFxM4FbnQP6yfMxBgJ0F3YRqJCJ1aPAK2dQagdusBZg/0',
				isOK: false,
				navBarData: {
					title: '首页',
					btn: 1 //判断是否显示返回按钮
				},
				isMsg: 0,
				isShow: false
			};
		},
		methods: {
			onChooseAvatar(e) {
				console.log(e);
				const {
					avatarUrl
				} = e.detail
				this.avatarUrl = avatarUrl

				
				let openid=uni.getStorageSync('oId')
				const uploadTask = uni.uploadFile({
					url: 'http://localhost:3001/img', // post请求地址
					filePath: avatarUrl,
					name: 'file', // 待确认
					header: {
						// 不要写这个不然报错
						// 'Content-Type': 'multipart/form-data',
					},
					formData: {
						// 携带的用户数据
						userId: openid, // 用户ID
					},
					success: function(res) {
						return res
						let url = JSON.parse(res.data)
						console.log(url.data);

						url.data = url.data.replace(/\\/g, '/')

						that.$store.commit('updateAvatar', url.data)
						uni.showToast({
							title: '修改成功',
							duration: 2000
						});
					},
					fail: function(uploadFileFail) {
						console.log('Error:', uploadFileFail.data);
					},
					complete: () => {
						// 接口调用结束的回调函数（调用成功、失败都会执行）
						// console.log('Complete:');
					}
				});



			},
			getPhoneNumber(e) {
				console.log(e.detail.code) // 动态令牌
				console.log(e.detail.errMsg) // 回调信息（成功失败都会返回）
				console.log(e.detail.errno) // 错误码（失败时返回）
			},
			gotoIndex() {
				
				let oId=uni.getStorageSync('oId')
				console.log('gotoIndex:',oId);
				let all=[]
				// 检查是否注册过
				this.$request('/selectUser', 'POST', {
					oId:oId,
				}).then(res => {
					console.log('selectUser',res[0]);
					
				 	console.log(res[0]==false);
				
					if(res[0]==false) {
						console.log('还未注册过，开始注册');
						this.$request('/login', 'POST', {
							openid:oId,
							Nme:'默认名称', 
							avatar:'http://43.139.158.220:5007/img/static/mine/Avatar_default.png'
						}).then(res => {
							console.log(res,11111);
							uni.setStorageSync('token',res.token)
							// 注册过后重新登录
							this.gotoIndex()
						})
					}else{
						console.log('登录过了',res[0]);
						this.$store.dispatch('asyncUpdateUser',res[0][0])
					}
				})
				uni.switchTab({
					url:'/pages/index/index'
				})
				
			},
			
			goto() {
				uni.navigateTo({
					url: "/pages/login_two/login_two"
				})
			},
			radioCheck() {
				this.isOK = !this.isOK
			},
			isDui() {
				this.isShow = !this.isShow
			}
		},
		onLoad(opt) {
			console.log(opt);
			this.isMsg = opt.id
			console.log(this.$store.state);
		}
	}
</script>

<style lang="scss">
	.login {
		background-color: #ffffff;
		height: 100vh;

		.avatar-wrapper {
			width: 300rpx;
			background-color: #fff;
			margin: auto;
		}

		.avatar {
			width: 60rpx;
			height: 60rpx;

		}

		.img {
			// padding: 10vh 0;
			padding-top: 10vh;
			margin-bottom: 10vh;
			width: 750rpx;
			display: flex;
			justify-content: center;

			image {
				width: 200rpx;
				height: 200rpx;
				border-radius: 50%;

			}
		}

		.mid {
			display: flex;
			justify-content: flex-start;
			width: 750rpx;
			padding: 0rpx 50rpx;
			font-size: 13px;

			.quan {
				position: absolute;
				flex-shrink: 0;
				top: 0;
				left: -10rpx;
				width: 32rpx;
				height: 32rpx;
				border-radius: 50%;
				margin-top: 5rpx;
				margin-right: 10rpx;
				border: 1px #bdbdbd solid;
				display: flex;
				justify-content: center;
				align-items: center;

				.dui {
					width: 32rpx;
					height: 32rpx;
				}
			}

			text {
				color: #4a97f2;
			}
		}

		.btn {
			background-color: #0056a8;
			color: #ffffff;
			border-radius: 30px;
			margin: 30rpx 55rpx;
			padding: 10rpx 0;
			display: flex;
			align-items: center;
			justify-content: center;
			// padding: 0rpx 10rpx;
			font-size: 16px;
		}

		.footer {
			display: flex;
			justify-content: center;
			font-size: 14px;
			margin: auto;
			color: #666666;
		}
	}
</style>